dofile('AutoLuaBind.lua')

local ogrePath = 'D:/SDK/Ogre/Src/OgreMain/include';
local ceguiPath = 'D:/SDK/CEGUI/cegui/include';

--
setting('C', false);

--Ogre
setting('MACRO', {'_OgreExport', 'CALLBACK', 'FORCEINLINE', 'OGRE_MUTEX%s-%b()', 'OGRE_AUTO_MUTEX%s-%b()', 'OGRE_STATIC_MUTEX%s-%b()'});
setting('functionFilter', generalFunctionFilter);
setting('variableFilter', generalVariableFilter);
parseDir(ogrePath);

--CEGUI
setting('MACRO', 'CEGUIEXPORT');
setting('functionFilter', nil);
setting('variableFilter', nil);
parseDir(ceguiPath, true);

--ToLuaBind
luabind('OgreLuaLib', './OgreLuaLib.h', 'Ogre');
luabind('CEGUILuaLib', './CEGUILuaLib.h', 'CEGUI');

os.execute('pause');